com.amazonaws.services.lambda.model

## Enum Runtime

- java.lang.Object
- - java.lang.Enum<Runtime>
  - - com.amazonaws.services.lambda.model.Runtime

All Implemented Interfaces:
  Serializable, Comparable<Runtime>

    public enum Runtime
    extends Enum<Runtime>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Dotnetcore10`
`Java8`
`Nodejs`
`Nodejs43`
`Nodejs43Edge`
`Python27`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Runtime` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static Runtime` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Runtime[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Nodejs

    public static final Runtime Nodejs

#### Nodejs43

    public static final Runtime Nodejs43

#### Java8

    public static final Runtime Java8

#### Python27

    public static final Runtime Python27

#### Dotnetcore10

    public static final Runtime Dotnetcore10

#### Nodejs43Edge

    public static final Runtime Nodejs43Edge

### Method Detail

#### values

    public static Runtime[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Runtime c : Runtime.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Runtime valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Runtime>`

#### fromValue

    public static Runtime fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  Runtime corresponding to the value